API referenceAdmin provider gateways
Delete an unused provider gateway
agw_identity_auth.session_token<token>
The console's session cookie. Admin requests from the console also send x-console-request: 1.
In: cookie
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/admin/provider-gateways/string"{ "deleted": true, "provider_gateway_id": "string"}Rename a provider gateway
Rename a provider gateway (PATCH /v1/admin/provider-gateways/{id}) in the App AI Gateway API. Accepts a management key, MCP OAuth token or console session.
Rotate a shared provider gateway token
Rotate a shared provider gateway token (POST /v1/admin/provider-gateways/{id}/rotate) in the App AI Gateway API.